package com.github.polpetta.mezzotre.telegram.callbackquery;

/**
 * Wrapper exception when a valid {@link Processor} is not found in the system
 *
 * @author Davide Polonio
 * @since 1.0
 */
public class EventProcessorNotFoundException extends RuntimeException {
  public EventProcessorNotFoundException() {}

  public EventProcessorNotFoundException(String message) {
    super(message);
  }

  public EventProcessorNotFoundException(String message, Throwable cause) {
    super(message, cause);
  }

  public EventProcessorNotFoundException(Throwable cause) {
    super(cause);
  }

  public EventProcessorNotFoundException(
      String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
    super(message, cause, enableSuppression, writableStackTrace);
  }
}
