package com.github.polpetta.mezzotre.telegram.callbackquery;

public interface Value {
  /**
   * Possible values for the additional {@link Field.SelectLanguageTutorial} of {@code
   * changeLanguage} event
   *
   * @author Davide Polonio
   * @since 1.0
   */
  enum SelectLanguageTutorial {
    English("en-US"),
    Italian("it-IT");

    private final String locale;

    SelectLanguageTutorial(String locale) {
      this.locale = locale;
    }

    public String getLocale() {
      return locale;
    }
  }
}
