package com.github.polpetta.mezzotre.telegram.command;

import static org.junit.jupiter.api.Assertions.*;

import com.github.polpetta.mezzotre.orm.model.TgChat;
import com.pengrad.telegrambot.model.Update;
import com.pengrad.telegrambot.request.BaseRequest;
import java.util.Optional;
import java.util.Set;
import java.util.concurrent.CompletableFuture;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.parallel.Execution;
import org.junit.jupiter.api.parallel.ExecutionMode;

@Execution(ExecutionMode.CONCURRENT)
class ProcessorTest {

  @Test
  void shouldGetSimpleNameClassIfNotDefined() {

    class Test implements Processor {

      @Override
      public Set<String> getTriggerKeywords() {
        return null;
      }

      @Override
      public CompletableFuture<Optional<BaseRequest<?, ?>>> process(TgChat chat, Update update) {
        return null;
      }
    }

    final Test test = new Test();

    assertEquals("test.cmdDescription", test.getLocaleDescriptionKeyword());
  }
}
